UUID(3)

NAME
uuid_compare, uuid_create, uuid_create_nil, uuid_equal, uuid_from_string, uuid_hash, uuid_is_nil, uuid_to_string - DCE 1.1 compliant UUID functions

LIBRARY
libc

SYNOPSIS
#include <uuid.h>
int32_t
uuid_compare(uuid_t *uuid1, uuid_t *uuid2, uint32_t *status);
void
uuid_create(uuid_t *uuid, uint32_t *status);
void
uuid_create_nil(uuid_t *uuid, uint32_t *status);
int32_t
uuid_equal(uuid_t *uuid1, uuid_t *uuid2, uint32_t *status);
void
uuid_from_string(const char *str, uuid_t *uuid, uint32_t *status);
uint16_t
uuid_hash(uuid_t *uuid, uint32_t *status);
int32_t
uuid_is_nil(uuid_t *uuid, uint32_t *status);
void
uuid_to_string(uuid_t *uuid, char **str, uint32_t *status);

DESCRIPTION
The family of DCE 1.1 compliant UUID functions allow applications to operate on universally unique identifiers, or UUIDs. The uuid_create() and uuid_create_nil() functions create UUIDs. The uuid_compare(), uuid_equal() and uuid_is_nil() functions can be used to test UUIDs. To convert from the binary representation to the string representation or vice versa, use uuid_to_string() or uuid_from_string() respectively. A 16-bit hash value can be obtained by calling uuid_hash().

RETURN VALUES
The successful or unsuccessful completion of the function is returned in the status argument. Possible values are:

uuid_s_ok
    The function completed successfully.

uuid_s_bad_version
    The UUID does not have a known version.

uuid_s_invalid_string_uuid
    The string representation of an UUID is not valid.

uuid_s_no_memory
    The meaning of the code escaped the writers mind.

SEE ALSO
uuidgen(1), uuidgen(2)

BUGS
This manpage can be improved.

STANDARDS
The UUID functions conform to the DCE 1.1 RPC specification.